javax.enterprise.inject.spi

## Interface ProcessProducerMethod<T,X>

- Type Parameters:
    `T` - The return type of the producer method
    `X` - The class of the bean declaring the producer method
  All Superinterfaces:
    ProcessBean<X>

      public interface ProcessProducerMethod<T,X>
      extends ProcessBean<X>

  The container fires an event of this type for each enabled producer method, before registering the `Bean` object.

  If any observer method of a `ProcessProducerMethod` event throws an exception, the exception is treated as a definition error by the container.

  Author:
    David Allen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotatedParameter<T>` | `getAnnotatedDisposedParameter()` Returns the `AnnotatedParameter` for any matching injection point of the same type as the producer method return type found on a disposal method.
    `AnnotatedMethod<T>` | `getAnnotatedProducerMethod()` Returns the `AnnotatedMethod` representing the producer method.

    - ### Methods inherited from interface javax.enterprise.inject.spi.ProcessBean

      `addDefinitionError, getAnnotated, getBean`

- - ### Method Detail

    - #### getAnnotatedProducerMethod

          AnnotatedMethod<T> getAnnotatedProducerMethod()

      Returns the `AnnotatedMethod` representing the producer method.
      Returns:
        the `AnnotatedMethod` for the producer method being registered
      Throws:
        `IllegalStateException` - if called outside of the observer method invocation

    - #### getAnnotatedDisposedParameter

          AnnotatedParameter<T> getAnnotatedDisposedParameter()

      Returns the `AnnotatedParameter` for any matching injection point of the same type as the producer method return type found on a disposal method.
      Returns:
        the disposal method's `AnnotatedParameter`
      Throws:
        `IllegalStateException` - if called outside of the observer method invocation

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.